Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.recordtype
Class PackedDecimalFieldFactoryAssembler

    java.lang.Object
      com.servingxml.components.flatfile.options.FlatFileOptionsFactoryAssembler
          com.servingxml.components.flatfile.recordtype.PackedDecimalFieldFactoryAssembler

    public class PackedDecimalFieldFactoryAssembler

extends FlatFileOptionsFactoryAssembler

Constructor Summary
`PackedDecimalFieldFactoryAssembler()`

Method Summary
`FlatRecordFieldFactory` | `assemble(ConfigurationContext context)`
`void` | `injectComponent(DefaultValue defaultValue)`
`void` | `injectComponent(Label label)`
`void` | `setDecimalPlaces(int decimalPlaces)`
`void` | `setDigitCount(int digitCount)`
`void` | `setLabel(java.lang.String fieldLabel)`
`void` | `setName(Name fieldName)`
`void` | `setStart(int start)`
`void` | `setWidth(int width)`

Methods inherited from class com.servingxml.components.flatfile.options.FlatFileOptionsFactoryAssembler
`assembleFlatFileOptions, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, setAlwaysQuote, setCountPositionsInBytes, setFlushRecordOnWrite, setIgnoreEmptyLines, setIgnoreTrailingEmptyLines, setIndexBase, setJustify, setLineDelimited, setOmitFinalFieldDelimiter, setOmitFinalRepeatDelimiter, setPadCharacter, setQuote, setTrim, setTrimLeading, setTrimLeadingWithinQuotes, setTrimQuoted, setTrimTrailing, setTrimTrailingWithinQuotes, setTrimWithinQuotes, setZeroBased`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PackedDecimalFieldFactoryAssembler

    public PackedDecimalFieldFactoryAssembler()

Method Detail

### setStart

    public void setStart(int start)

### setWidth

    public void setWidth(int width)

### setName

    public void setName(Name fieldName)

### setLabel

    public void setLabel(java.lang.String fieldLabel)

### setDigitCount

    public void setDigitCount(int digitCount)

### setDecimalPlaces

    public void setDecimalPlaces(int decimalPlaces)

### injectComponent

    public void injectComponent(DefaultValue defaultValue)

### injectComponent

    public void injectComponent(Label label)

### assemble

    public FlatRecordFieldFactory assemble(ConfigurationContext context)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD